import "../../../../../node_modules/element-plus/es/index.mjs";
/* empty css                                                             */
/* empty css                                                                  */
import { createBlock, openBlock, mergeProps, withCtx, createVNode, createTextVNode } from "vue";
import GatewayNode from "./GatewayNode.vue2.mjs";
import { ElButton } from "../../../../../node_modules/element-plus/es/components/button/index.mjs";
const _sfc_main = {
  __name: "ExclusiveNode",
  props: {
    node: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_button = ElButton;
      return openBlock(), createBlock(GatewayNode, mergeProps(_ctx.$attrs, { node: __props.node }), {
        default: withCtx(({ addNode, readOnly }) => [
          createVNode(_component_el_button, {
            type: "primary",
            disabled: readOnly,
            onClick: ($event) => addNode("condition", __props.node),
            plain: "",
            round: ""
          }, {
            default: withCtx(() => _cache[0] || (_cache[0] = [
              createTextVNode("添加条件")
            ])),
            _: 2
          }, 1032, ["disabled", "onClick"])
        ]),
        _: 1
      }, 16, ["node"]);
    };
  }
};
export {
  _sfc_main as default
};
